Class | GraphViz::FamilyTree
In: | lib/graphviz/family_tree/couple.rb lib/graphviz/family_tree/generation.rb lib/graphviz/family_tree/person.rb lib/graphviz/family_tree/sibling.rb lib/graphviz/family_tree.rb
Parent: | Object

### Methods

couple generation graph new size

### Classes and Modules

Class GraphViz::FamilyTree::Couple
Class GraphViz::FamilyTree::Generation
Class GraphViz::FamilyTree::Person
Class GraphViz::FamilyTree::Sibling

### Public Class methods

new( &block )

Create a new family tree

      require 'graphviz/family_tree'
      t = GraphViz::FamilyTree.new do
        ...
      end

### Public Instance methods

couple( x, y )

Get a couple (GraphViz::FamilyTree::Couple)

generation( &b )

Add a new generation in the tree

      require 'graphviz/family_tree'
      t = GraphViz::FamilyTree.new do
        generation do
          ...
        end
        generation do
          ...
        end
      end

graph()

Get the graph

size()

Family size

[Validate]